OpenNMS API 1.2.9

## org.opennms.netmgt.notifd
Class NotifdTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.opennms.netmgt.notifd.NotifdTest

All Implemented Interfaces:
  junit.framework.Test

public class NotifdTest
extends junit.framework.TestCase

Author:
  david TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary
`private static java.lang.String` `CMD_MANAGER`
`static java.lang.String` `GROUP_MANAGER`
`private NotificationAnticipator` `m_anticipator`
`private MockDatabase` `m_db`
`private MockDestinationPathManager` `m_destinationPathManager`
`private MockEventIpcManager` `m_eventMgr`
`private MockGroupManager` `m_groupManager`
`private MockNetwork` `m_network`
`private Notifd` `m_notifd`
`private MockNotifdConfigManager` `m_notifdConfig`
`private NotificationCommandManager` `m_notificationCommandManger`
`private NotificationManager` `m_notificationManager`
`private MockUserManager` `m_userManager`
`private static java.lang.String` `NOTIFD_CONFIG_MANAGER`
`private static java.lang.String` `NOTIFICATION_MANAGER`
`private static java.lang.String` `PATH_MANAGER`
`static java.lang.String` `USER_MANAGER`

Fields inherited from class junit.framework.TestCase
``

Constructor Summary
`NotifdTest()`

Method Summary
`private long` `anticipateNotificationsForGroup(java.lang.String subject, java.lang.String textMsg, java.lang.String groupName, java.util.Date startTime, long interval)`
`private long` `anticipateNotificationsForGroup(java.lang.String subject, java.lang.String textMsg, java.lang.String groupName, long startTime, long interval)`
`private long` `computeInterval()`
`private MockNotification` `createMockNotification(long expectedTime, java.lang.String subject, java.lang.String textMsg, java.lang.String email)`
`private java.util.Collection` `getUsersInGroup(java.lang.String groupName)`
`protected void` `setUp()`
`private void` `sleep(long millis)`
`protected void` `tearDown()`
`void` `testAutoAcknowledge1()`
`void` `testAutoAcknowledge2()`
`void` `testBug1114()`
`void` `testBug731()` see http://bugzilla.opennms.org/cgi-bin/bugzilla/show_bug.cgi?id=731
`void` `testEscalate()`
`void` `testGetUsersNotified()`
`void` `testInterval()`
`void` `testManualAcknowledge1()`
`void` `testManualAcknowledge2()`
`void` `testMockNotificationBasic()`
`void` `testMockNotificationInitialDelay()`
`void` `testNotifdStatus()`
`void` `testRebuildParameterMap()`
`void` `testWicktorBug_1022_1031()` see http://bugzilla.opennms.org/cgi-bin/bugzilla/show_bug.cgi?id=1022
`private void` `verifyAnticipated(int waitTime)`
`private void` `verifyAnticipated(long lastNotifyTime, long waitTime)`
`private void` `verifyAnticipated(long lastNotifyTime, long waitTime, long sleepTime)`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

Methods inherited from class junit.framework.Assert

`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_notifd

    private Notifd m_notifd

### m_eventMgr

    private MockEventIpcManager m_eventMgr

### m_notifdConfig

    private MockNotifdConfigManager m_notifdConfig

### m_groupManager

    private MockGroupManager m_groupManager

### m_userManager

    private MockUserManager m_userManager

### m_notificationManager

    private NotificationManager m_notificationManager

### m_notificationCommandManger

    private NotificationCommandManager m_notificationCommandManger

### m_destinationPathManager

    private MockDestinationPathManager m_destinationPathManager

### NOTIFD_CONFIG_MANAGER

    private static java.lang.String NOTIFD_CONFIG_MANAGER

### NOTIFICATION_MANAGER

    private static final java.lang.String NOTIFICATION_MANAGER

See Also:
  Constant Field Values

### GROUP_MANAGER

    public static final java.lang.String GROUP_MANAGER

See Also:
  Constant Field Values

### USER_MANAGER

    public static final java.lang.String USER_MANAGER

See Also:
  Constant Field Values

### PATH_MANAGER

    private static final java.lang.String PATH_MANAGER

See Also:
  Constant Field Values

### CMD_MANAGER

    private static final java.lang.String CMD_MANAGER

See Also:
  Constant Field Values

### m_db

    private MockDatabase m_db

### m_network

    private MockNetwork m_network

### m_anticipator

    private NotificationAnticipator m_anticipator

Constructor Detail

### NotifdTest

    public NotifdTest()

Method Detail

### setUp

    protected void setUp()
                  throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### tearDown

    protected void tearDown()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testWicktorBug_1022_1031

    public void testWicktorBug_1022_1031()
                                  throws java.lang.Exception

  see http://bugzilla.opennms.org/cgi-bin/bugzilla/show_bug.cgi?id=1022

  Throws:
    `java.lang.Exception`

### testNotifdStatus

    public void testNotifdStatus()
                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMockNotificationBasic

    public void testMockNotificationBasic()
                                   throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testMockNotificationInitialDelay

    public void testMockNotificationInitialDelay()
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testInterval

    public void testInterval()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testEscalate

    public void testEscalate()
                      throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testManualAcknowledge1

    public void testManualAcknowledge1()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testManualAcknowledge2

    public void testManualAcknowledge2()
                                throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAutoAcknowledge1

    public void testAutoAcknowledge1()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testAutoAcknowledge2

    public void testAutoAcknowledge2()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testBug731

    public void testBug731()
                    throws java.lang.Exception

  see http://bugzilla.opennms.org/cgi-bin/bugzilla/show_bug.cgi?id=731

  Throws:
    `java.lang.Exception`

### testBug1114

    public void testBug1114()
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testRebuildParameterMap

    public void testRebuildParameterMap()
                                 throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### testGetUsersNotified

    public void testGetUsersNotified()
                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### anticipateNotificationsForGroup

    private long anticipateNotificationsForGroup(java.lang.String subject,
                                                 java.lang.String textMsg,
                                                 java.lang.String groupName,
                                                 java.util.Date startTime,
                                                 long interval)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### anticipateNotificationsForGroup

    private long anticipateNotificationsForGroup(java.lang.String subject,
                                                 java.lang.String textMsg,
                                                 java.lang.String groupName,
                                                 long startTime,
                                                 long interval)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getUsersInGroup

    private java.util.Collection getUsersInGroup(java.lang.String groupName)
                                          throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### verifyAnticipated

    private void verifyAnticipated(int waitTime)

### verifyAnticipated

    private void verifyAnticipated(long lastNotifyTime,
                                   long waitTime)

### verifyAnticipated

    private void verifyAnticipated(long lastNotifyTime,
                                   long waitTime,
                                   long sleepTime)

### sleep

    private void sleep(long millis)

### createMockNotification

    private MockNotification createMockNotification(long expectedTime,
                                                    java.lang.String subject,
                                                    java.lang.String textMsg,
                                                    java.lang.String email)

### computeInterval

    private long computeInterval()
                          throws java.io.IOException,
                                 org.exolab.castor.xml.MarshalException,
                                 org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.